Package org.eclipse.emf.cdo.lm.server

# Class LMAppExtension

java.lang.Object
org.eclipse.emf.cdo.spi.server.AbstractAppExtension
org.eclipse.emf.cdo.spi.server.AppExtension
org.eclipse.emf.cdo.lm.server.LMAppExtension

All Implemented Interfaces:
  `IAppExtension`, `IAppExtension3`, `IAppExtension5`, `org.eclipse.net4j.util.container.IManagedContainer.ContainerAware`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.ParameterAware`

public class LMAppExtension extends AppExtension

Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

`EXT_POINT`

## Constructor Summary

Constructors
Constructor
Description
`LMAppExtension()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configureFingerPrinter(Element lmElement, InternalRepository repository, XMLLifecycleManager lifecycleManager)`
`protected void`
`configureLifecycleManager(InternalRepository repository, Element lmElement)`
`protected org.eclipse.net4j.util.security.IPasswordCredentials`
`createCredentials(Element lmElement)`
`protected CDOFingerPrinter`
`createFingerPrinter(InternalRepository repository, Element lmElement)`
`protected XMLLifecycleManager`
`createLifecycleManager(InternalRepository repository, Element lmElement)`
`protected Consumer<Process>`
`createProcessInitializater(Element lmElement)`
`protected String`
`getDefaultFingerPrinterType()`
`protected String`
`getDefaultLifecycleManagerType()`
`protected Collection<DropType>`
`getDropTypes(Element lmElement)`
`static XMLLifecycleManager`
`getLifecycleManager(IRepository repository)`
`protected Collection<ModuleType>`
`getModuleTypes(Element lmElement)`
`String`
`getName()`
`protected Map<String,Boolean>`
`initializeDropTypesDefinition()`
Deprecated.
As of 1.2 no longer supported.
`protected Map<String,String>`
`initializeModuleTypesDefinition()`
Deprecated.
As of 1.2 no longer supported.
`protected void`
`start(InternalRepository repository, Element repositoryConfig)`
`protected void`
`stop(InternalRepository repository)`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.AppExtension

`start, start, startBeforeRepositories, stop, stop`

### Methods inherited from class org.eclipse.emf.cdo.spi.server.AbstractAppExtension

`getAttribute, getContainer, getDocument, getParameters, getRepository, setManagedContainer, setParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LMAppExtension

public LMAppExtension()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `IAppExtension5`
Specified by:
  `getName` in class `AppExtension`

### start

protected void start(InternalRepository repository, Element repositoryConfig) throws Exception

Specified by:
  `start` in class `AppExtension`
Throws:
  `Exception`

### stop

protected void stop(InternalRepository repository) throws Exception

Specified by:
  `stop` in class `AppExtension`
Throws:
  `Exception`

### configureLifecycleManager

protected void configureLifecycleManager(InternalRepository repository, Element lmElement)

Since:
  1.7

### configureFingerPrinter

protected void configureFingerPrinter(Element lmElement, InternalRepository repository, XMLLifecycleManager lifecycleManager)

Since:
  1.7

### getDefaultLifecycleManagerType

protected String getDefaultLifecycleManagerType()

Since:
  1.2

### createLifecycleManager

protected XMLLifecycleManager createLifecycleManager(InternalRepository repository, Element lmElement)

### getDefaultFingerPrinterType

protected String getDefaultFingerPrinterType()

Since:
  1.7

### createFingerPrinter

protected CDOFingerPrinter createFingerPrinter(InternalRepository repository, Element lmElement)

Since:
  1.7

### createCredentials

protected org.eclipse.net4j.util.security.IPasswordCredentials createCredentials(Element lmElement)

Since:
  1.3

### createProcessInitializater

protected Consumer<Process> createProcessInitializater(Element lmElement)

Since:
  1.2

### getModuleTypes

protected Collection<ModuleType> getModuleTypes(Element lmElement)

Since:
  1.2

### getDropTypes

protected Collection<DropType> getDropTypes(Element lmElement)

Since:
  1.2

### getLifecycleManager

public static XMLLifecycleManager getLifecycleManager(IRepository repository)

Since:
  1.4

### initializeModuleTypesDefinition

@Deprecated protected Map<String,String> initializeModuleTypesDefinition()
Deprecated.
As of 1.2 no longer supported.

### initializeDropTypesDefinition

@Deprecated protected Map<String,Boolean> initializeDropTypesDefinition()
Deprecated.
As of 1.2 no longer supported.